%global pypi_name aiohappyeyeballs

Name:           python-%{pypi_name}
Version:        2.4.6
Release:        %mkrel 1
Summary:        Happy Eyeballs for pre-resolved hosts
Group:          Development/Python
License:        PSF-2.0
URL:            https://pypi.org/project/aiohappyeyeballs/
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildArch:      noarch

%description
This library exists to allow connecting with Happy Eyeballs (RFC 8305) when you
already have a list of addrinfo and not a DNS name.

The stdlib version of loop.create_connection() will only work when you pass in
an unresolved name which is not a good fit when using DNS caching or resolving
names via another method such as zeroconf.


%package -n python3-%{pypi_name}
Summary:        Happy Eyeballs for pre-resolved hosts
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library exists to allow connecting with Happy Eyeballs (RFC 8305) when you
already have a list of addrinfo and not a DNS name.

The stdlib version of loop.create_connection() will only work when you pass in
an unresolved name which is not a good fit when using DNS caching or resolving
names via another method such as zeroconf.

%prep
%autosetup -p 1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*


%changelog
* Tue Feb 25 2025 wally <wally> 2.4.6-1.mga10
+ Revision: 2152372
- new version 2.4.6
- rebuild for pyhton3.13

* Thu Nov 07 2024 wally <wally> 2.4.3-2.mga10
+ Revision: 2112881
- fix summary

* Thu Nov 07 2024 wally <wally> 2.4.3-1.mga10
+ Revision: 2112876
- imported package python-aiohappyeyeballs

